body {
  background-image: linear-gradient(rgb(247, 247, 247), rgb(187, 204, 223));
  height: 100%;
}
.navbar {
  background-color: transparent !important;
  /* box-shadow: 0 4px 50px 50px rgb(204, 204, 204); */
}
div#info {
  margin-bottom: 140px;
}
button.searchBtn {
  height: 7vh;
}
input#searchInput {
  height: 7vh;
}
@media screen and (max-width: 600px) {
  button.searchBtn {
    height: 5vh;
  }
  input#searchInput {
    height: 5vh;
  }
  .deleteBtn {
    position: relative;
    right: -35%;
    top: 2%;
    font-size: 18px;
    font-weight: bolder;
    border: 0px;
    width: 35px;
    height: 35px;
    border-radius: 50px;
    background-color: #ffffff63;
    box-shadow: 0 0 6px black;
    padding: 0;
    text-align: center;
  }
  .footer {
    display: flex;
    justify-content: space-around;
    font-size: 13px;
    background-image: linear-gradient(
      rgba(128, 128, 128, 0),
      rgba(0, 0, 0, 0.205)
    );
    color: rgb(0, 0, 0);
    align-items: center;
    height: 5vh;
    font-weight: bolder;
    text-align: center;
  }
  .allweathers {
    display: none;
  }
  span.carousel-control-next-icon {
    background-color: black;
  }

  span.carousel-control-prev-icon {
    background-color: black;
  }
  .searchForm {
    display: flex;
    flex-direction: row;
    width: 100%;
    justify-content: center;
    align-items: center;
    position: relative;
    margin: auto;
    margin-top: 3%;
    /* padding: 0 5% 0 5%; */
    height: 70%;
    justify-content: center;
  }
  .darkmodeIcon {
    position: relative;
    margin-left: -30%;
    width: 80%;
  }
  .darkButton {
    /* width: 200%; */
    min-width: 15%;
    background-color: transparent;
    padding: 0;
    border: 0px;
    width: 20%;
  }
  .searchInput {
    border-radius: 500px;
    border: 0;
    padding: 2px 10px;
    box-shadow: 0 0 80px rgb(255 255 255 / 60%);

    width: 50%;
  }
  .searchBtn {
    background-color: rgb(84, 121, 221);
    border: 1px solid rgba(0, 0, 0, 0);
    color: white;
    border-radius: 50px;
    width: 20%;
  }

  .info {
    color: black;
  }
  .city {
    margin-top: 5%;
    font-size: 30px;
  }
  .date {
    margin-top: 5%;
    font-size: 25px;
  }
  .temp {
    font-size: 60px;
  }
  .separator {
    font-size: 25px;
  }
  .status {
    font-size: 20px;
    font-weight: bold;
  }
  .min-max {
    font-size: 20px;
    font-weight: bold;
  }
  .details {
    margin: 10% 0 5% 0;
  }
}

@media screen and (max-width: 1200px) and (min-width: 601px) {
  .deleteBtn {
    position: relative;
    right: -35%;
    top: 2%;
    font-size: 18px;
    font-weight: bolder;
    border: 0px;
    width: 35px;
    height: 35px;
    border-radius: 50px;
    background-color: #ffffff63;
    box-shadow: 0 0 6px black;
  }
  .footer {
    display: flex;
    justify-content: space-around;
    font-size: 13px;
    background-image: linear-gradient(
      rgba(128, 128, 128, 0),
      rgba(0, 0, 0, 0.205)
    );
    color: rgb(0, 0, 0);
    align-items: center;
    height: 5vh;
    font-weight: bolder;
    text-align: center;
  }
  .allweathers {
    display: none;
  }
  span.carousel-control-next-icon {
    background-color: black;
  }

  span.carousel-control-prev-icon {
    background-color: black;
  }
  .searchForm {
    display: flex;
    flex-direction: row;
    width: 100%;
    justify-content: center;
    align-items: center;
    position: relative;
    margin: auto;
    margin-top: 3%;
    /* padding: 0 5% 0 5%; */
    height: 70%;
    justify-content: center;
  }
  .darkmodeIcon {
    position: relative;
    margin-left: -30%;
    width: 80%;
  }
  .darkButton {
    /* width: 200%; */
    min-width: 15%;
    background-color: transparent;
    padding: 0;
    border: 0px;
    width: 20%;
  }
  .searchInput {
    border-radius: 500px;
    border: 0;
    padding: 2px 10px;
    box-shadow: 0 0 80px rgb(255 255 255 / 60%);

    width: 50%;
  }
  .searchBtn {
    background-color: rgb(84, 121, 221);
    border: 1px solid rgba(0, 0, 0, 0);
    color: white;
    border-radius: 50px;
    width: 20%;
  }

  .info {
    color: black;
  }
  .city {
    margin-top: 5%;
    font-size: 30px;
  }
  .date {
    margin-top: 5%;
    font-size: 25px;
  }
  .temp {
    font-size: 60px;
  }
  .separator {
    font-size: 25px;
  }
  .status {
    font-size: 20px;
    font-weight: bold;
  }
  .min-max {
    font-size: 20px;
    font-weight: bold;
  }
  .details {
    margin: 10% 0 5% 0;
  }
}
@media screen and (min-width: 1201px) {
  .searchForm {
    display: flex;
    flex-direction: row;
    width: 100%;
    justify-content: center;
    align-items: center;
    position: relative;
    margin: auto;
    margin-top: 3%;
    /* padding: 0 5% 0 5%; */
    height: 100%;
    justify-content: center;
  }
  .darkmodeIcon {
    position: relative;
    margin-left: -30%;
    width: 30%;
  }
  .darkButton {
    /* width: 200%; */
    min-width: 15%;
    background-color: transparent;
    padding: 0;
    border: 0px;
    width: 20%;
  }
  .searchInput {
    border-radius: 500px;
    border: 0;
    padding: 2px 10px;
    box-shadow: 0 0 80px rgb(255 255 255 / 60%);
    width: 50%;
    height: 40px;
  }
  .searchBtn {
    background-color: rgb(84, 121, 221);
    border: 1px solid rgba(0, 0, 0, 0);
    color: white;
    border-radius: 50px;
    width: 10%;
    height: 40px;
  }

  .info {
    color: black;
  }
  .city {
    margin-top: 5%;
    font-size: 30px;
  }
  .date {
    margin-top: 5%;
    font-size: 25px;
  }
  .temp {
    font-size: 60px;
  }
  .separator {
    font-size: 25px;
  }
  .status {
    font-size: 20px;
    font-weight: bold;
  }
  .min-max {
    font-size: 20px;
    font-weight: bold;
  }
  .details {
    margin: 10% 0 5% 0;
  }
  .allweathers {
    padding: 2% 5% 5% 5%;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-gap: 5%;
  }
  .cardWeather {
    /* border: 1px gray solid; */
    border-radius: 50px;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.5);
  }
  .slide {
    display: none;
  }
  .footer {
    display: flex;
    justify-content: space-around;
    font-size: 15px;
    background-image: linear-gradient(
      rgba(128, 128, 128, 0),
      rgba(0, 0, 0, 0.205)
    );
    color: rgb(0, 0, 0);
    align-items: center;
    height: 7vh;
    font-weight: bolder;
    text-align: center;
  }
  .deleteBtn {
    position: relative;
    right: -35%;
    top: 2%;
    font-size: 18px;
    font-weight: bolder;
    border: 0px;
    width: 35px;
    height: 35px;
    border-radius: 50px;
    background-color: #ffffff63;
    box-shadow: 0 0 6px black;
  }
}
